Show / Hide Table of Contents

# Class ConnectionDetails

Message format for the initial connection request

##### Inheritance

System.Object
ConnectionSummary
ConnectionDetails

##### Inherited Members

ConnectionSummary.ServerName
ConnectionSummary.DatabaseName
ConnectionSummary.UserName
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectionDetails : ConnectionSummary

##### Remarks

If this contract is ever changed, be sure to update ConnectionDetailsExtensions methods.

### Properties

| Improve this Doc View Source

#### ApplicationIntent

Declares the application workload type when connecting to a database in an SQL Server Availability Group.

##### Declaration

    public string ApplicationIntent { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ApplicationName

Gets or sets the name of the application associated with the connection string.

##### Declaration

    public string ApplicationName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### AttachDbFilename

Gets or sets a string that contains the name of the primary data file. This includes the full path name of an attachable database.

##### Declaration

    public string AttachDbFilename { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### AuthenticationType

Gets or sets the authentication to use.

##### Declaration

    public string AuthenticationType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ConnectRetryCount

The number of reconnections attempted after identifying that there was an idle connection failure.

##### Declaration

    public int ? ConnectRetryCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### ConnectRetryInterval

Amount of time (in seconds) between each reconnection attempt after identifying that there was an idle connection failure.

##### Declaration

    public int ? ConnectRetryInterval { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### ConnectTimeout

Gets or sets the length of time (in seconds) to wait for a connection to the server before terminating the attempt and generating an error.

##### Declaration

    public int ? ConnectTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### CurrentLanguage

Gets or sets the SQL Server Language record name.

##### Declaration

    public string CurrentLanguage { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Encrypt

Gets or sets a Boolean value that indicates whether SQL Server uses SSL encryption for all data sent between the client and server if the server has a certificate installed.

##### Declaration

    public bool ? Encrypt { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### FailoverPartner

Gets or sets the name or address of the partner server to connect to if the primary server is down.

##### Declaration

    public string FailoverPartner { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### LoadBalanceTimeout

Gets or sets the minimum time, in seconds, for the connection to live in the connection pool before being destroyed.

##### Declaration

    public int ? LoadBalanceTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### MaxPoolSize

Gets or sets the maximum number of connections allowed in the connection pool for this specific connection string.

##### Declaration

    public int ? MaxPoolSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### MinPoolSize

Gets or sets the minimum number of connections allowed in the connection pool for this specific connection string.

##### Declaration

    public int ? MinPoolSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### MultipleActiveResultSets

When true, an application can maintain multiple active result sets (MARS).

##### Declaration

    public bool ? MultipleActiveResultSets { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### MultiSubnetFailover

If your application is connecting to an AlwaysOn availability group (AG) on different subnets, setting MultiSubnetFailover=true provides faster detection of and connection to the (currently) active server.

##### Declaration

    public bool ? MultiSubnetFailover { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### PacketSize

Gets or sets the size in bytes of the network packets used to communicate with an instance of SQL Server.

##### Declaration

    public int ? PacketSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### Password

Gets or sets the connection password

##### Declaration

    public string Password { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PersistSecurityInfo

Gets or sets a Boolean value that indicates if security-sensitive information, such as the password, is not returned as part of the connection if the connection is open or has ever been in an open state.

##### Declaration

    public bool ? PersistSecurityInfo { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### Pooling

Gets or sets a Boolean value that indicates whether the connection will be pooled or explicitly opened every time that the connection is requested.

##### Declaration

    public bool ? Pooling { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### Replication

Gets or sets a Boolean value that indicates whether replication is supported using the connection.

##### Declaration

    public bool ? Replication { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### TrustServerCertificate

Gets or sets a value that indicates whether the channel will be encrypted while bypassing walking the certificate chain to validate trust.

##### Declaration

    public bool ? TrustServerCertificate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

| Improve this Doc View Source

#### TypeSystemVersion

Gets or sets a string value that indicates the type system the application expects.

##### Declaration

    public string TypeSystemVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### WorkstationId

Gets or sets the name of the workstation connecting to SQL Server.

##### Declaration

    public string WorkstationId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Extension Methods

ConnectionDetailsExtensions.Clone(ConnectionDetails)
ConnectionSummaryExtensions.Clone(ConnectionSummary)